U bevindt zich nu op een technische pagina over de software Mercator. Deze pagina bevat specifieke informatie die bestemd is voor professionals van de software Mercator. Wenst u naar algemenere informatie over Mercator door te gaan?


   Deze vraag niet meer stellen

MercatorPenguin 2.0

0000002820     -      08-06-2018

MercatorPenguin 2.0 maakt het mogelijk om gegevens te wijzigen binnen Mercator:

MercatorPenguin 2.0 moet communiceren met een 2.0 versie van MercatorPenguinServer of hoger. Deze versie is capabel om de volledige Mercator-omgeving (=MercatorUi.Main) te initialiseren. Om dit te activeren is het noodzakelijk om 2 lijnen toe te voegen aan het ini-bestand uit de configuratie (In de App_Data map):

UserLogin = ... 
Password = ...

Het volstaat om de gegevens van een Mercator-gebruiker mee te geven. Deze worden enkel gebruikt tijdens het instanciëren van de Mercator-omgeving.

Opdat MercatorPenguinServer Mercator zou kunnen instanciëren, is het noodzakelijk dat er minstens één optie ENG aanwezig is binnen de voucher. Indien je CRM-acties wilt wijzigen is de optie ENGA vereist. De versie van deze voucher moet 10.3 of later zijn.

 Het is verplicht om Mercator te updaten.

Nadat je het ini-bestand gewijizgd hebt zoals hierboven beschreven hebt, moet u de applicationpool herstarten die gekoppeld is aan de MercatorPenguinServer om de gemaakte wijzigingen door te voeren. Dit kan gedaan worden via de knop "Restart MercatorPenguinServer" van de onderhoudspagina, of via de IIS-console in de node "Application Pool":

Bij het herstarten zal MercatorPenguinServer geïnstancieerd worden in een apart AppDomain. Het is dus nog steeds mogelijk om slechts één MercatorPenguinServer te gebruiken voor verschillende Mercator-dossiers. Wij vestigen echter de aandacht op het feit dat het initialiseren van MercatorUi.Main gelijk is aan het starten van Mercator. Als gevolg hiervan zal het (her)starten van de MercatorPenguinServer aanzienlijk langer duren, het RAM-verbruik zal ook wat hoger liggen.
(Tip: schakel deze functie alleen in voor een Mercator die de schrijffunctie nodig heeft.)

Opmerkingen:

  • MercatorPenguin kan geüpgraded worden naar versie 2.0, zelfs waneer er geen gebruik gemaakt worden van schrijven.
  • MercatorPenguinServer 2.0 is volledig retro-compatibel met MercatorPenguin 1.0. Het gedraagt zich identiek aan de oude versie van deze server zolang de "write"-functies niet uitgevoerd worden.

 

Bij het updaten van een Mercatordossier waaraan MercatorPenguinServer is gekoppeld is het noodzakelijk om de Applicationpool te herstarten nadat de update voltooid is. Het herstaren kan men doen vanaf de IIS-console of via de onderhoudspagina.